Name: waydroid
Version: 1.3.2
Release: %mkrel 1
License: GPLv3
BuildArch: noarch
Source: https://github.com/waydroid/waydroid/archive/%{version}/waydroid-%{version}.tar.gz
Group: Emulators
Summary: Waydroid uses a container-based approach to boot a full Android system
URL: https://waydro.id
Requires: dkms-anbox
Requires: nftables
Requires: lxc >= 4.0.10
Requires: python-gbinder
Requires: python-gobject
Requires: python-pyclip
Requires: dnsmasq
Requires(preun): rpm-helper
Requires(post): rpm-helper

%description
Waydroid uses Linux namespaces (user, pid, uts, net, mount, ipc) to run a full
Android system in a container and provide Android applications on any
GNU/Linux-based platform.

The Android system inside the container has direct access to any needed
hardware.

The Android runtime environment ships with a minimal customized Android system
image based on LineageOS. The image is currently based on Android 10.

Note: You need to run a kernel compiled with CONFIG_PSI=y, and boot with kernel
command-line parameter psi=1 for the Android container to start.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}

install -d -m755 %{buildroot}/{%{_datadir}/waydroid,%{_bindir},%{_datadir}/waydroid}
install -d -m755 %{buildroot}/%{_unitdir}
cp -r data tools waydroid.py %{buildroot}/%{_datadir}/waydroid
ln -s %{_datadir}/waydroid/waydroid.py %{buildroot}/%{_bindir}/waydroid
install systemd/waydroid-container.service %{buildroot}/%{_unitdir}

%post
%_post_service waydroid-container

%preun
%_preun_service waydroid-container

%files
%{_bindir}/waydroid
%{_datadir}/waydroid
%{_unitdir}/waydroid-container.service
%doc README.md


%changelog
* Sun Dec 11 2022 buchan <buchan> 1.3.2-1.mga9
+ Revision: 1920519
- Upgrade to 1.3.2

* Mon Mar 21 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1815204
- Mageia 9 Mass Rebuild

* Sat Nov 06 2021 buchan <buchan> 1.2.0-1.mga9
+ Revision: 1754269
- imported package waydroid

